package com.uas.finance.erp.model;

import com.uas.finance.model.AssociateCompany;

/**
 * 关联企业
 * created by shicr on 2017/12/18
 **/
public class AssociateCompanyInfo {

    /**
     * ID
     */
    private Long id;

    /**
     * 企业uu
     * @return
     */
    private Long enuu;

    /**
     *关联方企业名称
     */
    private String cud_name;

    /**
     * 关联关系
     */
    private String cud_association;

    /**
     * 法人代表
     */
    private String cud_legalperson;

    /**
     * 法人代表股权(占比%)
     */
    private Double cud_ratio;

    /**
     * 主营业务
     */
    private String cud_product;

    /**
     * 注册资本(万元)
     */
    private Double cud_amount;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCud_name() {
        return cud_name;
    }

    public void setCud_name(String cud_name) {
        this.cud_name = cud_name;
    }

    public String getCud_association() {
        return cud_association;
    }

    public void setCud_association(String cud_association) {
        this.cud_association = cud_association;
    }

    public String getCud_legalperson() {
        return cud_legalperson;
    }

    public void setCud_legalperson(String cud_legalperson) {
        this.cud_legalperson = cud_legalperson;
    }

    public Double getCud_ratio() {
        return cud_ratio;
    }

    public void setCud_ratio(Double cud_ratio) {
        this.cud_ratio = cud_ratio;
    }

    public String getCud_product() {
        return cud_product;
    }

    public void setCud_product(String cud_product) {
        this.cud_product = cud_product;
    }

    public Double getCud_amount() {
        return cud_amount;
    }

    public void setCud_amount(Double cud_amount) {
        this.cud_amount = cud_amount;
    }

    public Long getEnuu() {
        return enuu;
    }

    public void setEnuu(Long enuu) {
        this.enuu = enuu;
    }

    public AssociateCompanyInfo(AssociateCompany company) {
        this.id = company.getId();
        this.cud_amount = company.getCud_amount();
        this.cud_association = company.getCud_association();
        this.cud_legalperson = company.getCud_legalperson();
        this.cud_name = company.getCud_name();
        this.cud_product = company.getCud_product();
        this.cud_ratio = company.getCud_ratio();
        this.enuu = company.getEnuu();
    }

    public AssociateCompanyInfo() {

    }
}
